datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74a <- function() showQCData("mgu74a", datacache)
mgu74a_dbconn <- function() dbconn(datacache)
mgu74a_dbfile <- function() dbfile(datacache)
mgu74a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74a_dbInfo <- function() dbInfo(datacache)

mgu74aORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("mgu74a", "chip mgu74a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74a_dbconn())
}

